RDKit: RDKit::DrawColour Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::DrawColour Struct Reference

`#include <MolDraw2DHelpers.h>`

## Public Member Functions
| DrawColour ()=default
| DrawColour (double r, double g, double b, double a=1.0)
bool | operator== (const DrawColour &other) const
bool | operator!= (const DrawColour &other) const
bool | feq (const DrawColour &other, double tol=0.001, bool ignoreAlpha=true) const
DrawColour | operator+ (const DrawColour &other) const
DrawColour | operator- (const DrawColour &other) const
DrawColour | operator/ (double v) const
DrawColour | operator* (double v) const

## Public Attributes
double | r = 0.0
double | g = 0.0
double | b = 0.0
double | a = 1.0

## Detailed Description

Definition at line 40 of file MolDraw2DHelpers.h.

## Constructor & Destructor Documentation

## ◆ DrawColour() [1/2]

RDKit::DrawColour::DrawColour | ( |  | ) |
| default

Referenced by feq(), operator!=(), operator*(), operator+(), operator-(), operator/(), and operator==().

## ◆ DrawColour() [2/2]

RDKit::DrawColour::DrawColour | ( | double | r,
|  | double | g,
|  | double | b,
|  | double | a = 1.0 )
| inline

Definition at line 43 of file MolDraw2DHelpers.h.

References a, b, g, and r.

## Member Function Documentation

## ◆ feq()

bool RDKit::DrawColour::feq | ( | const DrawColour & | other,
|  | double | tol = 0.001,
|  | bool | ignoreAlpha = true ) const
| inline

Definition at line 49 of file MolDraw2DHelpers.h.

References a, b, DrawColour(), g, and r.

## ◆ operator!=()

bool RDKit::DrawColour::operator!= | ( | const DrawColour & | other | ) | const
| inline

Definition at line 48 of file MolDraw2DHelpers.h.

References DrawColour().

## ◆ operator*()

DrawColour RDKit::DrawColour::operator* | ( | double | v | ) | const
| inline

Definition at line 65 of file MolDraw2DHelpers.h.

References a, b, DrawColour(), g, and r.

## ◆ operator+()

DrawColour RDKit::DrawColour::operator+ | ( | const DrawColour & | other | ) | const
| inline

Definition at line 55 of file MolDraw2DHelpers.h.

References a, b, DrawColour(), g, and r.

## ◆ operator-()

DrawColour RDKit::DrawColour::operator- | ( | const DrawColour & | other | ) | const
| inline

Definition at line 58 of file MolDraw2DHelpers.h.

References a, b, DrawColour(), g, and r.

## ◆ operator/()

DrawColour RDKit::DrawColour::operator/ | ( | double | v | ) | const
| inline

Definition at line 61 of file MolDraw2DHelpers.h.

References a, b, DrawColour(), g, PRECONDITION, and r.

## ◆ operator==()

bool RDKit::DrawColour::operator== | ( | const DrawColour & | other | ) | const
| inline

Definition at line 45 of file MolDraw2DHelpers.h.

References a, b, DrawColour(), g, and r.

## Member Data Documentation

## ◆ a

double RDKit::DrawColour::a = 1.0

Definition at line 41 of file MolDraw2DHelpers.h.

Referenced by DrawColour(), feq(), operator*(), operator+(), operator-(), operator/(), and operator==().

## ◆ b

double RDKit::DrawColour::b = 0.0

Definition at line 41 of file MolDraw2DHelpers.h.

Referenced by DrawColour(), feq(), operator*(), operator+(), operator-(), operator/(), and operator==().

## ◆ g

double RDKit::DrawColour::g = 0.0

Definition at line 41 of file MolDraw2DHelpers.h.

Referenced by DrawColour(), feq(), operator*(), operator+(), operator-(), operator/(), and operator==().

## ◆ r

double RDKit::DrawColour::r = 0.0

Definition at line 41 of file MolDraw2DHelpers.h.

Referenced by DrawColour(), feq(), operator*(), operator+(), operator-(), operator/(), and operator==().

The documentation for this struct was generated from the following file:

- MolDraw2DHelpers.h